<?php

namespace App\Filament\Resources\CentroCustos\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Forms\Components\Toggle;
use Filament\Schemas\Schema;

class CentroCustoForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('codigo')
                    ->required(),
                TextInput::make('nome')
                    ->required(),
                TextInput::make('descricao'),
                TextInput::make('tipo')
                    ->required(),
                Toggle::make('ativo')
                    ->required(),
            ]);
    }
}
